%define major     0
%define oname     fakekey
%define libname   %mklibname %{oname} %{major}
%define develname %mklibname -d %{oname}

Name:           libfakekey
Version:        0.1
Release:        %mkrel 12
Summary:        Converting characters to X key-presses

Group:          System/Libraries
License:        LGPLv2+
URL:            http://projects.o-hand.com/matchbox/
Source0:        http://matchbox-project.org/sources/libfakekey/0.1/%{name}-%{version}.tar.bz2
BuildRequires:  pkgconfig(xtst)
BuildRequires:  pkgconfig(x11)

%description
libfakekey is a simple library for converting UTF-8 characters into
'fake' X key-presses.

%package -n %{libname}
Summary:        Converting characters to X key-presses
Group:          System/Libraries

%description -n %{libname}
libfakekey is a simple library for converting UTF-8 characters into
'fake' X key-presses.

%package -n %{develname}
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}

%description -n %{develname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q

# make autoreconf happy
sed -i -e 's,\(^LT_AGE.*\),\1\nAC_SUBST(LT_AGE),' configure.ac

%build
# to recognize aarch64
autoreconf -vfi

%configure --disable-static
%make_build LIBS+=-lX11

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%{_libdir}/libfakekey.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/fakekey/
%{_libdir}/libfakekey.so
%{_libdir}/pkgconfig/libfakekey.pc


%changelog
* Thu Feb 13 2020 umeabot <umeabot> 0.1-12.mga8
+ Revision: 1514091
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.1-11.mga7
+ Revision: 1298837
- Mageia 7 Mass Rebuild

* Sun Jun 03 2018 wally <wally> 0.1-10.mga7
+ Revision: 1234189
-fix build on aarch64
+ kekepower <kekepower>
- Use new make macros

* Sat Feb 06 2016 umeabot <umeabot> 0.1-9.mga6
+ Revision: 940500
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.1-8.mga5
+ Revision: 741410
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1-7.mga5
+ Revision: 681453
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.1-6.mga4
+ Revision: 506960
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.1-5.mga3
+ Revision: 357090
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 25 2012 wally <wally> 0.1-4.mga3
+ Revision: 335042
- link against X11
- clean .spec

* Sun Apr 10 2011 dmorgan <dmorgan> 0.1-3.5.2.mga1
+ Revision: 82901
- imported package libfakekey


* Fri Feb 19 2010 Funda Wang <fwang@mandriva.org> 0.1-3.5.2mdv2010.1
+ Revision: 508566
- fix build

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

* Thu Oct 16 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.1-3.5.1mdv2009.1
+ Revision: 294373
- fix group of devel package
- import libfakekey


* Thu Oct 16 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.1-3.5mdv2009.1
- adapt for Mandriva

* Tue Sep 23 2008 Vivian zhang <vivian.zhang@intel.com> 0.1
- Add BuildRequires: libXi-devel
* Mon Sep 22 2008 Anas Nashif <anas.nashif@intel.com> 0.1
- fixed Build Requires
* Thu Sep 18 2008 Vivian zhang <vivian.zhang@intel.com> 0.1
- Add BR libX11-devel
- Add comments "specfile originally created for..." at the top of the spec file
* Mon May 19 2008 Jon McCann <jmccann@redhat.com> 0.1-1
- Initial package
